'use strict'

// 定义脚手架的文件路径
process.env.NODE_PATH = __dirname + '/../node_modules/';

const program = require('commander');
const log = require('./utils/log');

// 定义当前版本
program
  .version(require('../package').version );

// 定义使用方法
program
  .usage('<command>');
// 脚手架支持用户输入4种不同的命令,处理这4种命令的方法：
// commander的具体使用方法在这里就不展开了，可以直接到官网https://github.com/tj/commander.js/去看详细的文档。

program
  .command('create')
  .arguments('<project>')
  .option('-i, --install', 'Install dependency packages')
  .option('-s, --simple', 'create a simple react app')
  .description('Generate a project from a existing architecture. keyword: webpack & react & antd & mobx.')
  .action((project, command) => {
    if (!project || typeof project !== 'string') {
      project = 'oops-project';
      log.warn('I guess you have ignored the project name and it will be filled in automatically for you.')
    }
    require('./command/create')(project, {
      ...command
    });
  });

// 处理参数和提供帮助信息
program.parse(process.argv)

if(!program.args.length){
  program.help()
}
